<?php

namespace App\ViewModels\Extorno\ExtornoRegistrationViewModel;

use App\Utils\Entity;

class ExtornoRegistrationViewModel extends Entity {
	protected $id_comanda;
	protected $id_tipo_extorno;
	protected $valor;
	protected $criado_por;
	protected $data_criacao;
	protected $hora_criacao;
	protected $observacao;

	public static function builder(): ExtornoRegistrationViewModelBuilder {

		$extorno_registration_view_model_builder = new ExtornoRegistrationViewModelBuilder();
		return $extorno_registration_view_model_builder;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdComanda() {

		return $this->id_comanda;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdTipoExtorno() {

		return $this->id_tipo_extorno;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValor() {

		return $this->valor;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCriadoPor() {

		return $this->criado_por;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDataCriacao() {

		return $this->data_criacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHoraCriacao() {

		return $this->hora_criacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getObservacao() {

		return $this->observacao;

	}

	/**
	 *
	 * @param mixed $id_comanda
	 */
	public function setIdComanda($id_comanda) {

		$this->id_comanda = $id_comanda;

	}

	/**
	 *
	 * @param mixed $id_tipo_extorno
	 */
	public function setIdTipoExtorno($id_tipo_extorno) {

		$this->id_tipo_extorno = $id_tipo_extorno;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor) {

		$this->valor = $valor;

	}

	/**
	 *
	 * @param mixed $criado_por
	 */
	public function setCriadoPor($criado_por) {

		$this->criado_por = $criado_por;

	}

	/**
	 *
	 * @param mixed $data_criacao
	 */
	public function setDataCriacao($data_criacao) {

		$this->data_criacao = $data_criacao;

	}

	/**
	 *
	 * @param mixed $hora_criacao
	 */
	public function setHoraCriacao($hora_criacao) {

		$this->hora_criacao = $hora_criacao;

	}

	/**
	 *
	 * @param mixed $observacao
	 */
	public function setObservacao($observacao) {

		$this->observacao = $observacao;

	}

}

